
const routes = [
	//选择场景
	{
		path: '/',
		name: 'Home',
		component: () => import('../views-home/Home.vue'),
		meta: {
			title: '首页',
		}
	},
	
		//切换
			{
				path: '/select',
				name: 'Select',
				component: () => import('../views-home/Select.vue'),
				meta: {
					title: '切换',
				}
			},
	//微信支付成功回跳处理页面
	{
		path: '/wxPayBack',
		name: 'WxPayBack',
		component: () => import('../views-home/WxPayBack.vue'),
		meta: {
			title: '微信支付成功回跳处理页面',
		}
	},

	//用户基础页面
	{
		path: '/user',
		component: () => import('../views-home/Layout.vue'),
		children: [
			//登录
			{
				path: 'login',
				name: 'UserLogin',
				component: () => import('../views-home/User/Login.vue'),
				meta: {
					title: '登录',
				}
			},
			//上传照片
			{
				path: 'uploadPhoto',
				name: 'UserUploadPhoto',
				component: () => import('../views-home/User/UploadPhoto.vue'),
				meta: {
					title: '上传照片',
				}
			},
			//选择身份
			{
				path: 'role',
				name: 'UserRole',
				component: () => import('../views-home/User/Role.vue'),
				meta: {
					title: '选择身份',
				}
			},
			
		]
	},
//邀请者
    {
        path: '/guest',
        component: () => import('../views-home/Layout.vue'),
        children: [
           //访客审批
            {
                path: 'approval',
                name: 'GuestApproval',
                component: () => import('../views-home/Guest/Approval.vue'),
                meta: {
                    requireAuth: false,
                    role: [],
                    title: '访客审批',
                }
            },

        ]
    },

	//微信页面
	{
		path: '/wx',
		component: () => import('../views-home/Layout.vue'),
		children: [
			//活动中心
			{
				path: 'activity',
				component: () => import('../views-home/Layout.vue'),
				children: [
					//活动中心列表
					{
						path: 'list',
						name: 'WxActivityList',
						component: () => import('../views-home/Wx/Activity/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '活动中心列表',
						}
					},
					//活动中心详情
					{
						path: 'info',
						name: 'WxActivityInfo',
						component: () => import('../views-home/Wx/Activity/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '活动中心详情',
						}
					},
					//我发布的活动
					{
						path: 'myList',
						name: 'WxActivityMyList',
						component: () => import('../views-home/Wx/Activity/MyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '我发布的活动',
						}
					},
					//发布的活动
					{
						path: 'form',
						name: 'WxActivityForm',
						component: () => import('../views-home/Wx/Activity/Form.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '发布的活动',
						}
					},
				]
			},
			//关于我们
			{
				path: 'about',
				component: () => import('../views-home/Layout.vue'),
				children: [
					//关于我们
					{
						path: 'info',
						name: 'WxAboutInfo',
						component: () => import('../views-home/Wx/About/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '关于我们',
						}
					},
				]
			},
		]
	},

	//多场景注册
	{
		path: '/register',
		component: () => import('../views-home/Layout.vue'),
		children: [
			//选择行业
			{
				path: '',
				name: 'RegisterHome',
				component: () => import('../views-home/Register/Home.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '选择行业',
				}
			},
			//注册协议
			{
				path: 'agreement',
				name: 'RegisterAgreement',
				component: () => import('../views-home/Register/Agreement.vue'),
				meta: {
					requireAuth: false,
					role: [],
					title: '注册协议',
				}
			},

			//工厂园区员工
			{
				path: 'business',
				component: () => import('../views-home/Layout.vue'),
				children: [
					//选择单位
					{
						path: 'step1',
						name: 'RegisterBusinessStep1',
						component: () => import('../views-home/Register/Business/Step1.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择单位',
						}
					},
					//选择地区
					{
						path: 'step2',
						name: 'RegisterBusinessStep2',
						component: () => import('../views-home/Register/Business/Step2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择地区',
						}
					},
					//选择部门-养老员工也可用
					{
						path: 'step3',
						name: 'RegisterBusinessStep3',
						component: () => import('../views-home/Register/Business/Step3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择部门',
						}
					},
					//填写信息-养老员工也可用
					{
						path: 'step4',
						name: 'RegisterBusinessStep4',
						component: () => import('../views-home/Register/Business/Step4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '填写信息',
						}
					},
				],
			},

			//社区住宅
			{
				path: 'residence',
				component: () => import('../views-home/Layout.vue'),
				children: [
					//选择小区
					{
						path: 'step1',
						name: 'RegisterResidenceStep1',
						component: () => import('../views-home/Register/Residence/Step1.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择小区',
						}
					},
					//选择地区
					{
						path: 'step2',
						name: 'RegisterResidenceStep2',
						component: () => import('../views-home/Register/Residence/Step2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择地区',
						}
					},
					//选择房号
					{
						path: 'step3',
						name: 'RegisterResidenceStep3',
						component: () => import('../views-home/Register/Residence/Step3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择房号',
						}
					},
					//填写信息
					{
						path: 'step4',
						name: 'RegisterResidenceStep4',
						component: () => import('../views-home/Register/Residence/Step4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '填写信息',
						}
					},
				],
			},

			//养老长者
			{
				path: 'pension',
				component: () => import('../views-home/Layout.vue'),
				children: [
					//选择养老
					{
						path: 'step1',
						name: 'RegisterPensionStep1',
						component: () => import('../views-home/Register/Pension/Step1.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择养老',
						}
					},
					//养老机构筛选
					{
						path: 'step2',
						name: 'RegisterPensionStep2',
						component: () => import('../views-home/Register/Pension/Step2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '养老机构筛选',
						}
					},
					//居家养老场景4选择小区
					{
						path: 'step2_4',
						name: 'RegisterPensionStep2_4',
						component: () => import('../views-home/Register/Pension/Step2_4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '居家养老场景4选择小区',
						}
					},
					//居家养老场景4选择管理机构
					{
						path: 'step3_4',
						name: 'RegisterPensionStep3_4',
						component: () => import('../views-home/Register/Pension/Step3_4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '居家养老场景4选择管理机构',
						}
					},
					//选择房号
					{
						path: 'step3',
						name: 'RegisterPensionStep3',
						component: () => import('../views-home/Register/Pension/Step3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择房号',
						}
					},
					//填写信息
					{
						path: 'step4',
						name: 'RegisterPensionStep4',
						component: () => import('../views-home/Register/Pension/Step4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '填写信息',
						}
					},
				],
			},

		],
	}

]



export default routes
